Subject: [ANCP] Command code registry

From: Tom Taylor <[email-masked]>
Date: Sat, 03 Jul 2010 19:37:24 -0400

The base protocol document currently defines the Command TLV but specifies no 
contents. Despite that, it specifies a Command Code registry. We need at least 
some text to justify the existence of this registry. I propose the following 
addition at a suitable point in the documentation of the Command TLV:

"The contents of this TLV MUST be specified as a sequence of one or more 
"commands", each beginning with a one-byte Command Code and possibly including 
other data following the Command Code. An IANA registry has been established for 
Command Code values. This document reserves the Command Code value 0 as an 
initial entry in the registry."

If no one objects, I will add this text. It is consistent with what we did in 
the multicast extensions document.

Tom Taylor